org.springframework.data.web

## Interface SortArgumentResolver

All Superinterfaces:
  HandlerMethodArgumentResolver

All Known Implementing Classes:
  HateoasSortHandlerMethodArgumentResolver, SortHandlerMethodArgumentResolver

    public interface SortArgumentResolver
    extends HandlerMethodArgumentResolver

Argument resolver to extract a `Sort` object from a `NativeWebRequest` for a particular `MethodParameter`. A `SortArgumentResolver` can either resolve `Sort` itself or wrap another `SortArgumentResolver` to post-process `Sort`. `Sort` resolution yields either in a `Sort` object or null if `Sort` cannot be resolved.

Since:
  1.13
Author:
  Mark Paluch
See Also:
  `HandlerMethodArgumentResolver`

### Method Summary

All Methods Instance Methods Abstract Methods
`Sort` `resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory)` Resolves a `Sort` method parameter into an argument value from a given request.

### Methods inherited from interface org.springframework.web.method.support.HandlerMethodArgumentResolver

`supportsParameter`

### Method Detail

#### resolveArgument

    @Nonnull
    Sort resolveArgument(MethodParameter parameter,
                                  @Nullable
                                  ModelAndViewContainer mavContainer,
                                  NativeWebRequest webRequest,
                                  @Nullable
                                  WebDataBinderFactory binderFactory)

Resolves a `Sort` method parameter into an argument value from a given request.

Specified by:
  `resolveArgument` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter to resolve. This parameter must have previously been passed to `HandlerMethodArgumentResolver.supportsParameter(org.springframework.core.MethodParameter)` which must have returned `true`.
  `mavContainer` - the ModelAndViewContainer for the current request
  `webRequest` - the current request
  `binderFactory` - a factory for creating `WebDataBinder` instances
Returns:
  the resolved argument value, or `null`